## PlumaApp PlumaApp |

## Functions

PlumaApp * | pluma_app_get_default ()
PlumaWindow * | pluma_app_create_window ()
const GList * | pluma_app_get_windows ()
PlumaWindow * | pluma_app_get_active_window ()
GList * | pluma_app_get_documents ()
GList * | pluma_app_get_views ()
PlumaLockdownMask | pluma_app_get_lockdown ()

## Properties

PlumaLockdownMask | lockdown | Read

## Types and Values

| PlumaAppPrivate
struct | PlumaApp
enum | PlumaLockdownMask

## Object Hierarchy

        GObject
        ╰── PlumaApp

## Description

## Functions

### pluma_app_get_default ()

    PlumaApp *
    pluma_app_get_default (void);

Returns the PlumaApp object. This object is a singleton and represents the running pluma instance.

#### Returns

the PlumaApp pointer

### pluma_app_create_window ()

    PlumaWindow *
    pluma_app_create_window (PlumaApp *app,
                             GdkScreen *screen);

Create a new PlumaWindow part of `app` .

#### Parameters

app | the PlumaApp |

#### Returns

the new PlumaWindow

### pluma_app_get_windows ()

    const GList *
    pluma_app_get_windows (PlumaApp *app);

Returns all the windows currently present in PlumaApp.

#### Parameters

app | the PlumaApp |

#### Returns

the list of PlumaWindows objects. The list should not be freed

### pluma_app_get_active_window ()

    PlumaWindow *
    pluma_app_get_active_window (PlumaApp *app);

Retrives the PlumaWindow currently active.

#### Parameters

app | the PlumaApp |

#### Returns

the active PlumaWindow

### pluma_app_get_documents ()

    GList *
    pluma_app_get_documents (PlumaApp *app);

Returns all the documents currently open in PlumaApp.

#### Parameters

app | the PlumaApp |

#### Returns

a newly allocated list of PlumaDocument objects

### pluma_app_get_views ()

    GList *
    pluma_app_get_views (PlumaApp *app);

Returns all the views currently present in PlumaApp.

#### Parameters

app | the PlumaApp |

#### Returns

a newly allocated list of PlumaView objects

### pluma_app_get_lockdown ()

    PlumaLockdownMask
    pluma_app_get_lockdown (PlumaApp *app);

Gets the lockdown mask (see PlumaLockdownMask) for the application. The lockdown mask determines which functions are locked down using the MATE-wise lockdown GSettings keys.

#### Parameters

app | a PlumaApp |

## Types and Values

### PlumaAppPrivate

    typedef struct _PlumaAppPrivate PlumaAppPrivate;

### struct PlumaApp

    struct PlumaApp;

### enum PlumaLockdownMask

#### Members

PLUMA_LOCKDOWN_COMMAND_LINE |  |
PLUMA_LOCKDOWN_PRINTING |  |
PLUMA_LOCKDOWN_PRINT_SETUP |  |
PLUMA_LOCKDOWN_SAVE_TO_DISK |  |
PLUMA_LOCKDOWN_ALL |  |

## Property Details

### The `“lockdown”` property

      “lockdown”                 PlumaLockdownMask

The lockdown mask.

Flags: Read